Name:           pcsc-lite
Version:        1.8.23
Release:        9
Summary:        Middleware to access a smart card using SCard API (PC/SC)
License:        BSD
URL:            https://pcsclite.apdu.fr/
Source0:        https://pcsclite.apdu.fr/files/%{name}-%{version}.tar.bz2

BuildRequires:  systemd-devel polkit-devel gettext-devel
BuildRequires:  perl-podlators doxygen gnupg2 gcc git python3

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires:       pcsc-ifd-handler polkit
Recommends:     ccid

Provides:       pcsc-lite-libs%{?_isa} pcsc-lite-libs
Obsoletes:      pcsc-lite-libs

Patch0:      0000-pcsc-lite-change-to-use-python3-for-pcsc-spy.patch

%description
PC/SC Lite is a middleware to access a smart card using SCard API (PC/SC).
This package contains PC/SC Lite server and other utilities.

%package        devel
Summary:        PC/SC Lite library and header files
Requires:       python3
Requires:       %{name} = %{version}-%{release}

%description    devel
This package includes PC/SC Lite library and header files for development.

%package        help
Summary:        Documentation for PC/SC Lite
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       man
Provides:       %{name}-doc
Obsoletes:      %{name}-doc

%description    help
This package includes documentation for PC/SC Lite.

%prep
%autosetup -n %{name}-%{version} -p1 -S git

for file in ChangeLog; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done


%build
%configure \
  --disable-static \
  --enable-polkit \
  --enable-usbdropdir=%{_libdir}/pcsc/drivers
%make_build
doxygen doc/doxygen.conf
rm -f doc/api/*.{map,md5}


%install
%make_install

mkdir -p %{buildroot}/%{_sysconfdir}/reader.conf.d
mkdir -p %{buildroot}/%{_libdir}/pcsc/drivers
mkdir -p %{buildroot}/%{_localstatedir}/run/pcscd

%post
%systemd_post pcscd.socket pcscd.service

%preun
%systemd_preun pcscd.socket pcscd.service

%postun
%systemd_postun_with_restart pcscd.socket pcscd.service

%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog DRIVERS HELP README SECURITY TODO
%doc doc/README.polkit
%license COPYING
%dir %{_sysconfdir}/reader.conf.d/
%dir %{_libdir}/pcsc/
%dir %{_libdir}/pcsc/drivers/
%ghost %dir %{_localstatedir}/run/pcscd/
%{_datadir}/polkit-1/actions/org.debian.pcsc-lite.policy
%{_libdir}/libpcsclite.so.*
%{_sbindir}/pcscd
%{_unitdir}/pcscd*
%exclude %{_libdir}/*.la
%exclude %{_docdir}/pcsc-lite/README.DAEMON

%files devel
%{_bindir}/pcsc-spy
%{_includedir}/PCSC/
%{_libdir}/libpcsclite.so
%{_libdir}/libpcscspy.so*
%{_libdir}/pkgconfig/*.pc


%files help
%doc doc/api/ doc/example/pcsc_demo.c
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*


%changelog
* Tue Feb 18 2020 Shijie Luo <buildteam@openeuler.org> - 1.8.23-9
- change to use python3 for pcsc-spy python script.

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.8.23-8
- Change the recommends of pcsc-lite-ccid to ccid

* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.8.23-7
- Repackage

* Sun Sep 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.8.23-6
- Fix postun in spec file

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.8.23-5
- Package init

